Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 734104 - media-gfx/blender-2.79b-r2 - AttributeError: 'Sphinx' object has no attribute 'override_domain'
Summary: media-gfx/blender-2.79b-r2 - AttributeError: 'Sphinx' object has no attribute...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Adrian
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-27 14:49 UTC by Michal Plichta
Modified: 2020-08-12 23:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge info (emerge_info.log,6.50 KB, text/plain)
2020-07-27 14:52 UTC, Michal Plichta
Details
build short output (output.log,8.89 KB, text/plain)
2020-07-27 14:53 UTC, Michal Plichta
Details
sphinx log (sphinx-err-zwzk68b0.log,695 bytes, text/plain)
2020-07-27 14:54 UTC, Michal Plichta
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Plichta 2020-07-27 14:49:29 UTC
Blender generating API documentation failed

Reproducible: Always
Comment 1 Michal Plichta 2020-07-27 14:52:59 UTC
Created attachment 651006 [details]
emerge info
Comment 2 Michal Plichta 2020-07-27 14:53:29 UTC
Created attachment 651008 [details]
build short output
Comment 3 Michal Plichta 2020-07-27 14:54:59 UTC
Created attachment 651010 [details]
sphinx log
Comment 4 Sam James archtester gentoo-dev Security 2020-07-27 15:02:30 UTC
Can you include the full build.log too? Thanks.
Comment 5 Michal Plichta 2020-07-27 15:10:40 UTC
(In reply to Sam James from comment #4)
> Can you include the full build.log too? Thanks.

it is 12 Mb ;)
Comment 7 Michal Plichta 2020-08-12 23:13:45 UTC
when I downgrade sphinx-2.0.1-r1 to it is working

see below:
/var/tmp/portage/media-gfx/blender-2.79b-r2/work/blender-2.79b/doc/python_api/sphinx-in/conf.py:39: RemovedInSphinx30Warning: app.override_domain() is deprecated. Use app.add_domain() with override option instead.
  sphinx.override_domain(PatchedPythonDomain)


Log file:
-------------
RNA Warning: Current value "0" matches no enum in 'EnumProperty', 'clip', 'default'
RNA Warning: Current value "0" matches no enum in 'EnumProperty', 'scene', 'default'
RNA Warning: Current value "0" matches no enum in 'EnumProperty', 'name', 'default'
Error: Not freed memory blocks: 124, total unfreed memory 0.030273 MB
Running Sphinx v2.0.1
making output directory... done
/var/tmp/portage/media-gfx/blender-2.79b-r2/work/blender-2.79b/doc/python_api/sphinx-in/conf.py:39: RemovedInSphinx30Warning: app.override_domain() is deprecated. Use app.add_domain() with override option instead.
  sphinx.override_domain(PatchedPythonDomain)
loading intersphinx inventory from https://docs.blender.org/manual/en/dev/objects.inv...
WARNING: failed to reach any of the inventories with the following issues:
intersphinx inventory 'https://docs.blender.org/manual/en/dev/objects.inv' not fetchable due to <class 'requests.exceptions.ConnectionError'>: HTTPSConnectionPool(host='docs.blender.org', port=443): Max retries exceeded with url: /manual/en/dev/objects.inv (Caused by NewConnectionError('<urllib3.connection.HTTPSConnection object at 0x7f1548ad76d8>: Failed to establish a new connection: [Errno -3] Temporary failure in name resolution',))
building [mo]: targets for 0 po files that are out of date
building [html]: targets for 1281 source files that are out of date
updating environment: 1281 added, 0 changed, 0 removed
/usr/lib64/python3.6/site-packages/sphinx/util/nodes.py:149: FutureWarning:                                                                                                                                                                                          
   The iterable returned by Node.traverse()
   will become an iterator instead of a list in Docutils > 0.16.
  for classifier in reversed(node.parent.traverse(nodes.classifier)):
Comment 8 Michal Plichta 2020-08-12 23:15:22 UTC
So we need <Sphinx-3.0.0 for Blender